# Repeater

This field type renders repeatable field groups.

### Parameters

* **fields** - an array of field parameters for a group.

### Example

The code below renders a group with the text and number fields. The text field requires at least 10 characters to be entered, while the minimum required value for the number field is 100. The field group can be repeated using the **Add Item** button.

```php
echo ( new HivePress\Fields\Repeater(
	[
		'name'   => 'custom_field',

		'fields' => [
			'custom_text'   => [
				'placeholder' => 'Custom text',
				'type'        => 'text',
				'min_length'  => 10,
				'_order'      => 123,
			],

			'custom_number' => [
				'placeholder' => 'Custom number',
				'type'        => 'number',
				'min_value'   => 100,
				'_order'      => 321,
			],
		],
	]
) )->render();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/fields/repeater.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
